## org.apache.cassandra.concurrent
Interface JMXConfigurableThreadPoolExecutorMBean

All Superinterfaces:
  IExecutorMBean, JMXEnabledThreadPoolExecutorMBean

All Known Implementing Classes:
  JMXConfigurableThreadPoolExecutor

    public interface JMXConfigurableThreadPoolExecutorMBean

extends JMXEnabledThreadPoolExecutorMBean

Method Summary
`int` `getCorePoolSize()`
`void` `setCorePoolSize(int n)`

Methods inherited from interface org.apache.cassandra.concurrent.JMXEnabledThreadPoolExecutorMBean
`getCurrentlyBlockedTasks, getTotalBlockedTasks`

Methods inherited from interface org.apache.cassandra.concurrent.IExecutorMBean
`getActiveCount, getCompletedTasks, getPendingTasks`

Method Detail

### setCorePoolSize

    void setCorePoolSize(int n)

### getCorePoolSize

    int getCorePoolSize()

Copyright © 2012 The Apache Software Foundation